Agora RTC Objective-C API Reference Refactor

Properties
AgoraAudioRecordingConfiguration Class Reference

Inherits <NSObject>.

## Properties
NSString *_Nullable | filePath
NSUInteger | sampleRate
AgoraAudioFileRecordingType | fileRecordOption
AgoraAudioRecordingQuality | quality
NSInteger | recordingChannel

## Property Documentation

## ◆ filePath

- (NSString* _Nullable) filePath
| read write nonatomic copy

The absolute path (including the filename extensions) of the recording file. For example: `/var/mobile/Containers/Data/audio.aac`.

Note
  Ensure that the directory for the log files exists and is writable.

## ◆ sampleRate

- (NSUInteger) sampleRate
| read write nonatomic assign

Recording sample rate (Hz).

- 16000
- (Default) 32000
- 44100
- 48000
  Note
    If you set this parameter to 44100 or 48000, Agora recommends recording WAV files, or AAC files with `quality` set as AgoraAudioRecordingQualityMedium or AgoraAudioRecordingQualityHigh for better recording quality.

## ◆ fileRecordOption

- (AgoraAudioFileRecordingType) fileRecordOption
| read write nonatomic assign

The recording content. See `AgoraAudioFileRecordingType`.

## ◆ quality

- (AgoraAudioRecordingQuality) quality
| read write nonatomic assign

Recording quality. See `AgoraAudioRecordingQuality`.

Note
  This parameter applies to AAC files only.

## ◆ recordingChannel

- (NSInteger) recordingChannel
| read write nonatomic assign

The audio channel of recording: The parameter supports the following values:

- 1: (Default) Mono.
- 2: Stereo.
  Note
    The actual recorded audio channel is related to the audio channel that you capture.
- If the captured audio is mono and `recordingChannel` is `2`, the recorded audio is the dual-channel data that is copied from mono data, not stereo.
- If the captured audio is dual channel and `recordingChannel` is `1`, the recorded audio is the mono data that is mixed by dual-channel data. The integration scheme also affects the final recorded audio channel. If you need to record in stereo, contact `technical support`.